Aden

Chat

Real-time team chat: threads, messages, and read receipts

POST
/api/v1/follow-ups/draft

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/follow-ups/draft" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "kind": "reply",    "person": "string",    "network": "string",    "messages": [      {        "fromMe": true,        "text": "string"      }    ]  }'
GET
/api/v1/chat/mention-search

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
q?string
limit?string
curl -X GET "https://example.com/api/v1/chat/mention-search?teamId=string"
GET
/api/v1/chat/people

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/chat/people?teamId=string"
GET
/api/v1/chat/mention-context

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
kind*string
id*string
curl -X GET "https://example.com/api/v1/chat/mention-context?teamId=string&kind=string&id=string"
GET
/api/v1/chat/threads

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId?string
curl -X GET "https://example.com/api/v1/chat/threads"
POST
/api/v1/chat/threads

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "teamIds": [      0    ],    "type": "team"  }'
GET
/api/v1/chat/threads/{threadId}/messages

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Query Parameters

limit?string
curl -X GET "https://example.com/api/v1/chat/threads/string/messages"
POST
/api/v1/chat/threads/{threadId}/messages

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/messages" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
GET
/api/v1/chat/bots

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/chat/bots?teamId=string"
POST
/api/v1/chat/bots/{botId}/open

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

botId*string
Lengthlength <= 64

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/bots/string/open" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0  }'
GET
/api/v1/chat/bots/{botId}/follow-ups

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

botId*string
Lengthlength <= 64

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/chat/bots/string/follow-ups?teamId=string"
DELETE
/api/v1/chat/bots/{botId}/follow-ups/{taskId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

botId*string
Lengthlength <= 64
taskId*string
Formatuuid

Query Parameters

teamId*string
curl -X DELETE "https://example.com/api/v1/chat/bots/string/follow-ups/497f6eca-6276-4993-bfeb-53cbbbba6f08?teamId=string"
GET
/api/v1/chat/threads/{threadId}/typing

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X GET "https://example.com/api/v1/chat/threads/string/typing"
POST
/api/v1/chat/threads/{threadId}/typing

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/typing" \  -H "Content-Type: application/json" \  -d '{    "typing": true  }'
GET
/api/v1/chat/threads/{threadId}/read-receipts

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X GET "https://example.com/api/v1/chat/threads/string/read-receipts"
POST
/api/v1/chat/threads/{threadId}/pin

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/pin" \  -H "Content-Type: application/json" \  -d '{    "pinned": true  }'
POST
/api/v1/chat/threads/{threadId}/voice-upload

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/voice-upload" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string",    "contentType": "string"  }'
PATCH
/api/v1/chat/threads/{threadId}/messages/{messageId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/chat/threads/string/messages/string" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
DELETE
/api/v1/chat/threads/{threadId}/messages/{messageId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string
curl -X DELETE "https://example.com/api/v1/chat/threads/string/messages/string"
POST
/api/v1/chat/threads/{threadId}/messages/{messageId}/reactions

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/messages/string/reactions" \  -H "Content-Type: application/json" \  -d '{    "emoji": "string"  }'
POST
/api/v1/chat/threads/{threadId}/messages/{messageId}/transcribe

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/messages/string/transcribe" \  -H "Content-Type: application/json" \  -d '{    "fileKey": "string"  }'
POST
/api/v1/chat/threads/{threadId}/messages/{messageId}/save-voice

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
messageId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/messages/string/save-voice" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "title": "string",    "fileKey": "string"  }'
GET
/api/v1/chat/threads/{threadId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X GET "https://example.com/api/v1/chat/threads/string"
PATCH
/api/v1/chat/threads/{threadId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/chat/threads/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
DELETE
/api/v1/chat/threads/{threadId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X DELETE "https://example.com/api/v1/chat/threads/string"
POST
/api/v1/chat/threads/{threadId}/leave

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
curl -X POST "https://example.com/api/v1/chat/threads/string/leave"
POST
/api/v1/chat/threads/{threadId}/members

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/members" \  -H "Content-Type: application/json" \  -d '{    "memberIds": [      "string"    ]  }'
DELETE
/api/v1/chat/threads/{threadId}/members/{userId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string
userId*string
curl -X DELETE "https://example.com/api/v1/chat/threads/string/members/string"
POST
/api/v1/chat/threads/{threadId}/read

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

threadId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/chat/threads/string/read" \  -H "Content-Type: application/json" \  -d '{    "lastReadMessageId": "string"  }'
Was this helpful?